<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.8) on Wed Aug 12 16:32:57 CEST 2020 -->
<title>IMultiMediaObjectAccess</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-08-12">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="IMultiMediaObjectAccess";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":6,"i1":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IMultiMediaObjectAccess.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">nl.naturalis.nba.api</a></div>
<h2 title="Interface IMultiMediaObjectAccess" class="title">Interface IMultiMediaObjectAccess</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><code><a href="INbaAccess.html" title="interface in nl.naturalis.nba.api">INbaAccess</a>&lt;<a href="model/MultiMediaObject.html" title="class in nl.naturalis.nba.api.model">MultiMediaObject</a>&gt;</code></dd>
</dl>
<hr>
<pre>public interface <span class="typeNameLabel">IMultiMediaObjectAccess</span>
extends <a href="INbaAccess.html" title="interface in nl.naturalis.nba.api">INbaAccess</a>&lt;<a href="model/MultiMediaObject.html" title="class in nl.naturalis.nba.api.model">MultiMediaObject</a>&gt;</pre>
<div class="block">Specifies methods for accessing multimedia-related data.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Ayco Holleman</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#explainNameResolution(nl.naturalis.nba.api.NameResolutionQuerySpec)">explainNameResolution</a></span>&#8203;(<a href="NameResolutionQuerySpec.html" title="class in nl.naturalis.nba.api">NameResolutionQuerySpec</a>&nbsp;query)</code></th>
<td class="colLast">
<div class="block">Explains the name resolution process by showing the steps and intermediate results as well as the final output of a name resolution
 query.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="QueryResult.html" title="class in nl.naturalis.nba.api">QueryResult</a>&lt;<a href="model/MultiMediaObject.html" title="class in nl.naturalis.nba.api.model">MultiMediaObject</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#queryWithNameResolution(nl.naturalis.nba.api.NameResolutionQuerySpec)">queryWithNameResolution</a></span>&#8203;(<a href="NameResolutionQuerySpec.html" title="class in nl.naturalis.nba.api">NameResolutionQuerySpec</a>&nbsp;querySpec)</code></th>
<td class="colLast">
<div class="block">Searches for multimedia while providing extra options to resolve a search phrase to a scientific name.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.nl.naturalis.nba.api.INbaAccess">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;nl.naturalis.nba.api.<a href="INbaAccess.html" title="interface in nl.naturalis.nba.api">INbaAccess</a></h3>
<code><a href="INbaAccess.html#batchQuery(java.lang.String)">batchQuery</a>, <a href="INbaAccess.html#batchQuery(nl.naturalis.nba.api.QuerySpec)">batchQuery</a>, <a href="INbaAccess.html#count(nl.naturalis.nba.api.QuerySpec)">count</a>, <a href="INbaAccess.html#countDistinctValues(java.lang.String,nl.naturalis.nba.api.QuerySpec)">countDistinctValues</a>, <a href="INbaAccess.html#countDistinctValuesPerGroup(java.lang.String,java.lang.String,nl.naturalis.nba.api.QuerySpec)">countDistinctValuesPerGroup</a>, <a href="INbaAccess.html#downloadQuery(nl.naturalis.nba.api.QuerySpec,java.io.OutputStream)">downloadQuery</a>, <a href="INbaAccess.html#find(java.lang.String)">find</a>, <a href="INbaAccess.html#findByIds(java.lang.String%5B%5D)">findByIds</a>, <a href="INbaAccess.html#getDistinctValues(java.lang.String,nl.naturalis.nba.api.QuerySpec)">getDistinctValues</a>, <a href="INbaAccess.html#getDistinctValuesPerGroup(java.lang.String,java.lang.String,nl.naturalis.nba.api.QuerySpec)">getDistinctValuesPerGroup</a>, <a href="INbaAccess.html#query(nl.naturalis.nba.api.QuerySpec)">query</a></code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="queryWithNameResolution(nl.naturalis.nba.api.NameResolutionQuerySpec)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>queryWithNameResolution</h4>
<pre class="methodSignature"><a href="QueryResult.html" title="class in nl.naturalis.nba.api">QueryResult</a>&lt;<a href="model/MultiMediaObject.html" title="class in nl.naturalis.nba.api.model">MultiMediaObject</a>&gt;&nbsp;queryWithNameResolution&#8203;(<a href="NameResolutionQuerySpec.html" title="class in nl.naturalis.nba.api">NameResolutionQuerySpec</a>&nbsp;querySpec)
                                               throws <a href="InvalidQueryException.html" title="class in nl.naturalis.nba.api">InvalidQueryException</a></pre>
<div class="block">Searches for multimedia while providing extra options to resolve a search phrase to a scientific name. This is meant to be implemented
 as a two-phase query. In the first phase the <a href="NameResolutionRequest.html" title="class in nl.naturalis.nba.api"><code>NameResolutionRequest</code></a> within the provided <a href="NameResolutionQuerySpec.html" title="class in nl.naturalis.nba.api"><code>NameResolutionQuerySpec</code></a> is used
 to generate a query against a taxon database. This can be either the NBA's own taxon index or it can be ColPlus. The scientific names
 coming back from that query are then used to construct an extra query condition for the multimedia index. In the second phase that
 query condition is added to the other query conditions of the provided <code>querySpec</code>. The enriched query is executed and the
 result is returned to the client.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>querySpec</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="InvalidQueryException.html" title="class in nl.naturalis.nba.api">InvalidQueryException</a></code></dd>
</dl>
</li>
</ul>
<a id="explainNameResolution(nl.naturalis.nba.api.NameResolutionQuerySpec)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>explainNameResolution</h4>
<pre class="methodSignature"><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;explainNameResolution&#8203;(<a href="NameResolutionQuerySpec.html" title="class in nl.naturalis.nba.api">NameResolutionQuerySpec</a>&nbsp;query)</pre>
<div class="block">Explains the name resolution process by showing the steps and intermediate results as well as the final output of a name resolution
 query. The returned string is basically a list of lines, akin to a DEBUG log.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>query</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IMultiMediaObjectAccess.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
